TICKIT_TERM_OPEN_STDIO(3)

NAME
tickit_term_open_stdio - create a terminal instance on standard input/output

SYNOPSIS
    #include <tickit.h>

    TickitTerm *tickit_term_open_stdio(void);

Link with -ltickit.

DESCRIPTION
tickit_term_open_stdio() creates a new TickitTerm instance to represent the standard input and output streams of the process. This function is a convenient shortcut around the common use-case of creating an instance using tickit_term_build(3) with the open field set to TICKIT_OPEN_STDIO, and enabling SIGWINCH support using tickit_term_observe_sigwinch(3).

RETURN VALUE
If successful, tickit_term_open_stdio() returns a pointer to the new instance. On failure, NULL is returned with errno set to indicate the failure.

SEE ALSO
tickit_term_build(3), tickit_term_print(3), tickit_term_bind_event(3), tickit_term(7), tickit(7)